Subject: bug#62407: closed (Re: bug#62407: 30.0.50; The command to run elixir-ls on Windows is `language_server.bat`)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 24 Mar 2023 18:39:01 +0000

Your bug report

#62407: 30.0.50; The command to run elixir-ls on Windows is `language_server.bat`

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62407: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62407
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62407: 30.0.50; The command to run elixir-ls on Windows is `language_server.bat`
From: Eli Zaretskii <[email-masked]>
To: João Távora <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 24 Mar 2023 21:38:50 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: João Távora <[email-masked]>
> Date: Fri, 24 Mar 2023 15:40:24 +0000
> Cc: 牟 桐 <[email-masked]>, [email-masked]
> 
> On Fri, Mar 24, 2023 at 3:29 PM Eli Zaretskii <[email-masked]> wrote:
> >
> > > From: 牟 桐 <[email-masked]>
> > > CC: "[email-masked]" <[email-masked]>
> > > Date: Fri, 24 Mar 2023 07:18:24 +0000
> > >
> > > > Btw, is language_server.bat part of that server's distribution, or did you write the batch file yourself?
> > >
> > > The former, `language_server.bat` is shipped with the distribution.
> > >
> > > > Can you see if the patch below solves your problem?
> > >
> > > It will raise an error, so I changed it like this, now it solves my problem:
> > >
> > >     ((elixir-mode elixir-ts-mode heex-ts-mode)
> > >      . ,(if (and (fboundp 'w32-shell-dos-semantics)
> > >                  (w32-shell-dos-semantics))
> > >             '("language_server.bat")
> > >           '("language_server.sh")))
> >
> > Right, sorry about that.
> >
> > João, okay to install on the master branch?
> 
> OK.

Thanks, installed, and closing the bug.

Subject: 30.0.50; The command to run elixir-ls on Windows is `language_server.bat`
From: 牟 桐 <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Thu, 23 Mar 2023 16:14:55 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

When I try to open an elixir file with eglot on Windows, eglot will
guess that I want to execute `language_server.sh`.  But on Windows, it
should be `language_server.bat`.

After I change the command manually, everything works fine.